Package org.apache.coyote.http11.filters

## Class GzipOutputFilter.FakeOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.coyote.http11.filters.GzipOutputFilter.FakeOutputStream

All Implemented Interfaces:
  `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`

Enclosing class:
  GzipOutputFilter

    protected class GzipOutputFilter.FakeOutputStream
    extends java.io.OutputStream

### Field Summary

Fields
`protected java.nio.ByteBuffer` `outputChunk`

### Constructor Summary

Constructors
`protected` `FakeOutputStream()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`void` `write​(byte[] b, int off, int len)`
`void` `write​(int b)`

### Methods inherited from class java.io.OutputStream

`nullOutputStream, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### outputChunk

    protected final java.nio.ByteBuffer outputChunk

### Constructor Detail

#### FakeOutputStream

    protected FakeOutputStream()

### Method Detail

#### write

    public void write​(int b)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write​(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### flush

    public void flush()
               throws java.io.IOException

Specified by:
  `flush` in interface `java.io.Flushable`
Overrides:
  `flush` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.io.Closeable`
Overrides:
  `close` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`